Home of the Squeezebox™ & Transporter® network music players.
Page 3 of 572 FirstFirst 123451353103503 ... LastLast
Results 21 to 30 of 5717
  1. #21
    Junior Member
    Join Date
    Feb 2010
    Posts
    16
    thanks a lot Triode

    do you think it will be possible to make it work via mysqueezebox.com instead of having to run the server on my pc?

  2. #22
    Senior Member
    Join Date
    Apr 2005
    Posts
    8,160
    Quote Originally Posted by orcocan View Post
    do you think it will be possible to make it work via mysqueezebox.com instead of having to run the server on my pc?
    I'm afraid not - it needs to run Spotify's software on the server to stream the audio. Any solution which does not require a server will require Spotify support inside the Logitech firmware and will be down to Logitech...

  3. #23
    Junior Member
    Join Date
    Feb 2010
    Posts
    16
    shame... lets hope that logitech will do something to officially support spotify at some stage

    the main issue i encountered when playing a song in a playlist, it seems to repeat the same song over and over again instead of playing the next song

    interface is a bit buggy at times but the plugin is brilliant otherwise, thanks again for your work!

  4. #24
    Junior Member
    Join Date
    Jun 2010
    Posts
    22

    Scrobbling?

    I have scrobbling enabled on both Spotify and the Squeezebox. But when playing music through the plugin tracks don't seem to get scrobbled. Am I correct or am I doing something wrong?!

  5. #25
    Junior Member
    Join Date
    Aug 2008
    Posts
    19
    Quote Originally Posted by Triode View Post
    Hum - can you find the spotifyd location and run it from the command line from the directory it is in. It should give some error messages if/when it crashes (or linux will say segfault or whatever if its the code)
    Ok i did som tests. First when i ran spotifyd it complained about missing libFLAC.so.8. I made a symlink to /usr/lib/libFLAC.so.8 in the spotify plugin directory and now it complaines about wrong ELF class.

    Code:
    linuxserver:/var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/Spotify/Bin/i386-linux# ls
    libFLAC.so.8  libspotify.so.4  spotifyd  spotifyd.conf
    linuxserver:/var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/Spotify/Bin/i386-linux# ./spotifyd
    ./spotifyd: error while loading shared libraries: libFLAC.so.8: wrong ELF class: ELFCLASS64
    I have ia32-libs installed, but i cant fint it anywhere in /usr/lib /usr/lib32 or /usr/lib64.
    The only place i have ia32 is in this path.

    Code:
    linuxserver:/var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/Spotify/Bin/i386-linux# find / -name ia32*
    /emul/ia32-linux                                                                                               
    /usr/share/doc/ia32-libs                                                                                       
    /usr/share/lintian/overrides/ia32-libs                                                                         
    /usr/lib/rpm/ia32e-linux                                                                                       
    /usr/src/linux-headers-2.6.26-2-amd64/include/asm-x86/ia32.h                                                   
    /usr/src/linux-headers-2.6.26-2-amd64/include/asm-x86/ia32_unistd.h                                            
    /usr/src/linux-headers-2.6.26-2-amd64/include/config/ia32                                                      
    /usr/src/linux-headers-2.6.26-2-common/include/asm-x86/ia32.h                                                  
    /usr/src/linux-headers-2.6.26-2-common/include/asm-x86/ia32_unistd.h                                           
    /usr/src/linux-headers-2.6.26-2-common/arch/x86/ia32                                                           
    /var/lib/dpkg/info/ia32-libs.preinst                                                                           
    /var/lib/dpkg/info/ia32-libs.postinst                                                                          
    /var/lib/dpkg/info/ia32-libs.postrm                                                                            
    /var/lib/dpkg/info/ia32-libs.list                                                                              
    /var/lib/dpkg/info/ia32-libs.md5sums                                                                           
    /var/lib/dpkg/info/ia32-libs.shlibs                                                                            
    /var/cache/apt/archives/ia32-libs_2.7_amd64.deb
    Any idea?

    Jorns

  6. #26
    Senior Member
    Join Date
    Jan 2006
    Posts
    435
    I cant get it to play any tracks. Probably something on my side. I am running 7.5.1 on win vista.

    Update: Solved...stupid me forgot to open the firewall for the helper app.
    Last edited by )p(; 2010-06-17 at 02:03.

  7. #27
    Senior Member
    Join Date
    Jun 2007
    Location
    England
    Posts
    397
    Quote Originally Posted by punkmachine View Post
    I tried it with an unlimited account. It doesn't work. Plugin is not able to log in. Upgraded to premium and now it works like a charm. Thanks Triode
    That's a shame, but thanks for letting us know!

  8. #28
    Junior Member
    Join Date
    Jun 2010
    Location
    Stockholm/Sweden
    Posts
    15

    Spotify plugin on QNAP

    Hi Triode,

    First of all:
    Great work! Spotify on the SqueezeBox is one of the final key feature to make my music experience at home complete. I think that the job that you, Erland, and many others do for the SqueezeBox community is great.

    Regarding the plugin, i┤ve tried installing it on a QNAP TS-239 Pro NAS (an Intel Atom based unit). I hoped it might work since it was built for linux or windows on pc platforms. The plugin installed without problems, but the app doesn't seem to start.

    When running spotifyd manually from a terminal i get the following message:
    "./spotifyd: /lib/libc.so.6: version `GLIBC_2.7' not found (required by ./spotifyd)"

    I guess that the spotifyd binary is compiled for a different version of GLIBC then the one installed on my QNAP. Looking at the link "/lib/libc.so.6" it points to "/lib/libc-2.6.1.so" so im guessing that 2.6.1 is the version installed on my QNAP.

    Do you know of any easy way to fix this? Do i need a spotifyd compiled for libc-2.6.1 or is there any other way to get this working?

    Best regards.

    /Martin
    Last edited by contour; 2010-06-17 at 04:35.

  9. #29
    Administrator andyg's Avatar
    Join Date
    Jan 2006
    Location
    Pittsburgh, PA
    Posts
    7,395
    Triode you might want to rebuild spotifyd on a Debian 4.0 VM, that's generally what I use for the most-compatible binaries that will work on older libc versions.

  10. #30
    Senior Member
    Join Date
    Apr 2005
    Posts
    8,160
    Quote Originally Posted by orcocan View Post
    the main issue i encountered when playing a song in a playlist, it seems to repeat the same song over and over again instead of playing the next song
    Can you explain how you are playing a song from the playlist - I don't see this and it may be that you have different server settings. If you have "play other songs in album or directory" set then I would expect it to transfer the entire spotify playlist to the player's playlist and for them all to appear under now playing. Then its a matter of what repeat mode the player is in.

    interface is a bit buggy at times but the plugin is brilliant otherwise, thanks again for your work!
    You will have to be more specific to get this fixed...

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •